.icons-order {
  &.hide-icon-type-label {
    .icon-type-label {
      display: none;
    }
  }

  &.show-icon-type-label {
    .dragSortItem {
      &:nth-child(2) {
        border-right: 1px solid $input-border-color;
      }
    }
  }

  .dragSortList {
    overflow: visible;

    &.-draggingEnabled:hover {
      color: var(--bs-body-color);
      background-color: var(--bs-body-bg);
      border-color: rgb(134, 182.5, 254);
      outline: 0;
      box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    }
  }

  .dragSortItem {
    &:nth-child(2) {
      padding: $input-padding-y $input-padding-x;

      .icon-name {
        color: rgb(var(--bs-blue-500-rgb));
      }
    }

    &:nth-child(4) {
      margin-left: $spacer;
      padding: $input-padding-y $input-padding-x;
    }

    .btn-remove-icon {
      position: absolute;
      right: $spacer * -1;
      top: -10px;
    }
  }

  .title {
    display: inline-block;
    width: 117px;
    margin-bottom: $spacer * 0.5;

    &:nth-child(2) {
      margin-left: $spacer;
    }
  }
}

.icons-order, .input-icons-selector {
  .icon-container {
    position: relative;
    min-height: 75px;
    width: 75px;
    display: inline-block;
    vertical-align: top;
    line-height: 1em;
    margin: $spacer * 0.5;
    aspect-ratio: unset;
    height: auto;

    .icon-select {
      border: 1px dashed $gray-400;
      vertical-align: top;
      width: 75px;
      height: 100px;
    }

    .icon-name {
      font-size: 0.8rem;
      text-align: center;
    }

    img {
      cursor: pointer;
    }

    img {
      height: 75px;
      width: 75px;
    }
  }
}

.group-icons .icons-order {
  .title {
    display: none;
  }
}
